## org.eclipse.e4.xwt.input
Class InputBinding

    java.lang.Object
      org.eclipse.e4.xwt.input.InputBinding

Direct Known Subclasses:
  KeyBinding, MouseBinding

    public class InputBinding

extends java.lang.Object

Constructor Summary
`InputBinding()`

Method Summary
`ICommand` `getCommand()`
`java.lang.Object` `getCommandParameter()`
`java.lang.Object` `getCommandTarget()`
`KeyGesture` `getGesture()`
`void` `setCommand(ICommand command)`
`void` `setCommandParameter(java.lang.Object commandParameter)`
`void` `setCommandTarget(java.lang.Object commandTarget)`
`void` `setGesture(KeyGesture gesture)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InputBinding

    public InputBinding()

Method Detail

### getCommandTarget

    public java.lang.Object getCommandTarget()

### setCommandTarget

    public void setCommandTarget(java.lang.Object commandTarget)

### getCommandParameter

    public java.lang.Object getCommandParameter()

### setCommandParameter

    public void setCommandParameter(java.lang.Object commandParameter)

### getCommand

    public ICommand getCommand()

### setCommand

    public void setCommand(ICommand command)

### getGesture

    public KeyGesture getGesture()

### setGesture

    public void setGesture(KeyGesture gesture)